---
title: Report.body
slug: Web/API/Report/body
tags:
  - API
  - BODY
  - Experimental
  - Property
  - Reference
  - Report
  - Reporting API
---
<div>{{APIRef("Reporting API")}}{{seecompattable}}</div>

<p>The <strong><code>body</code></strong> read-only property of the {{domxref("Report")}} interface returns the body of the report, which is a <code>ReportBody</code> object containing the detailed report information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let reportBody = reportInstance.body
</pre>

<h3 id="Returns">Returns</h3>

<p>A <code>ReportBody</code> object containing the detailed report information. Depending on what <code>type</code> the {{domxref("Report")}} is, the object returned will actually be a {{domxref("DeprecationReportBody")}}, {{domxref("InterventionReportBody")}}, {{domxref("CrashReportBody")}}, or {{domxref("FeaturePolicyViolationReportBody")}}. These all inherit from the base <code>ReportBody</code> class — study their reference pages for more information on what the particular report body types contain.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  let firstReport = reports[0];
  // Log the first report's report body, i.e. a DeprecationReportBody object
  console.log(firstReport.body);
}, options);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Reporting API','#dom-report-body','Report.body')}}</td>
   <td>{{Spec2('Reporting API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Report.body")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
